Bug 1820543 - 4.2 UPI Vmware test runs fail with invalid internal LB hostname in certificates
Summary: 4.2 UPI Vmware test runs fail with invalid internal LB hostname in certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.z
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1820542
Blocks: 1820545
TreeView+ depends on / blocked
 
Reported: 2020-04-03 10:19 UTC by Stefan Schimanski
Modified: 2020-05-13 11:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1820542
: 1820545 (view as bug list)
Environment:
Last Closed: 2020-05-13 11:07:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 813 None closed [release-4.2] Bug 1820543: certrotationcontroller: fix typo calling wrong internal LB func 2020-08-03 16:16:48 UTC
Red Hat Product Errata RHBA-2020:2023 None None None 2020-05-13 11:07:40 UTC

Description Stefan Schimanski 2020-04-03 10:19:31 UTC
+++ This bug was initially created as a clone of Bug #1820542 +++

+++ This bug was initially created as a clone of Bug #1820145 +++

Description of problem:

UPI Vmware test runs fail with invalid internal LB hostname in certificates

Version-Release number of selected component (if applicable):

4.4, 4.5

Actual results:

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-4.4/1357

Comment 3 Ke Wang 2020-04-29 06:26:39 UTC
Verified with OCP build 4.2.0-0.nightly-2020-04-28-195408, Per the PR https://github.com/openshift/cluster-kube-apiserver-operator/pull/813, it's typo, this bug is difficult to verify by functional testing, so we need to check if the PR is in latest build and it runs well.

- Related PR checking, 
$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2020-04-28-195408 | grep kube-apiserver
  cluster-kube-apiserver-operator               https://github.com/openshift/cluster-kube-apiserver-operator               1224485d03c5b146126f41a11711c4d35d00f476

$ git log --date local --pretty="%h %an %cd - %s" 1224485d | grep '#813'
1224485d OpenShift Merge Robot Thu Apr 23 02:59:40 2020 - Merge pull request #813 from openshift-cherrypick-robot/cherry-pick-810-to-release-4.2

It was in latest payload.

- Checking the CertRotationController working status, checking the kube-apiserver-operator logs,
$ oc logs -n openshift-kube-apiserver-operator kube-apiserver-operator-5cf8755fb9-cff6q 
...
I0429 02:55:44.135902       1 client_cert_rotation_controller.go:120] Waiting for CertRotationController - "InternalLoadBalancerServing"    
I0429 02:55:44.236096       1 client_cert_rotation_controller.go:127] Finished waiting for CertRotationController - "InternalLoadBalancerServing"

It works well. So move the bug verify.

Comment 5 errata-xmlrpc 2020-05-13 11:07:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2023


Note You need to log in before you can comment on or make changes to this bug.